org.apache.sling.superimposing

## Interface SuperimposingResourceProvider

All Superinterfaces:
  org.apache.sling.api.resource.ResourceProvider

All Known Implementing Classes:
  SuperimposingResourceProviderImpl

    public interface SuperimposingResourceProvider
    extends org.apache.sling.api.resource.ResourceProvider

Superimposing resource provider. Maps a single source path to the target root path, with or without overlay depending on configuration.

### Field Summary

Fields
`static String` `MIXIN_SUPERIMPOSE` Mixin for superimposing.
`static String` `PROP_SUPERIMPOSE_OVERLAYABLE` Property indicating whether this superimposing definition allows the superimposed content to be overlayed by real nodes created below the superimposing root node.
`static String` `PROP_SUPERIMPOSE_REGISTER_PARENT` Property indicating if the node itself is used as root for the superimpose definition (default), of it it's parent should be used.
`static String` `PROP_SUPERIMPOSE_SOURCE_PATH` Property pointing to an absolute or relative repository path, which this superimpose definition points to.

### Fields inherited from interface org.apache.sling.api.resource.ResourceProvider

`RESOURCE_TYPE_SYNTHETIC, ROOTS, SERVICE_NAME`

### Method Summary

Methods
`String` `getRootPath()`
`String` `getSourcePath()`
`boolean` `isOverlayable()`

### Methods inherited from interface org.apache.sling.api.resource.ResourceProvider

`getResource, getResource, listChildren`

### Field Detail

#### MIXIN_SUPERIMPOSE

    static final String MIXIN_SUPERIMPOSE

Mixin for superimposing.

See Also:
  Constant Field Values

#### PROP_SUPERIMPOSE_SOURCE_PATH

    static final String PROP_SUPERIMPOSE_SOURCE_PATH

Property pointing to an absolute or relative repository path, which this superimpose definition points to.

See Also:
  Constant Field Values

#### PROP_SUPERIMPOSE_REGISTER_PARENT

    static final String PROP_SUPERIMPOSE_REGISTER_PARENT

Property indicating if the node itself is used as root for the superimpose definition (default), of it it's parent should be used. The latter is useful in a Page/PageContent scenario where the mixin cannot be added on the parent node itself.

See Also:
  Constant Field Values

#### PROP_SUPERIMPOSE_OVERLAYABLE

    static final String PROP_SUPERIMPOSE_OVERLAYABLE

Property indicating whether this superimposing definition allows the superimposed content to be overlayed by real nodes created below the superimposing root node. Default value is false.

See Also:
  Constant Field Values

### Method Detail

#### getRootPath

    String getRootPath()

Returns:
  Root path (source path)

#### getSourcePath

    String getSourcePath()

Returns:
  Target path (destination path)

#### isOverlayable

    boolean isOverlayable()

Returns:
  Overlayable yes/no